var Menu = {
	data : [],
	status : false,
	menuId : 0,
	subMenuRowId : 0,
	subMenuColId : 0,
	parentMenu : 0,
	cols : 4,
	rowsPerPage : 14
};

Menu.show = function(data)
{
	var i = 0;
	var html = '';
		$.each(data, function(key,val) {
			html += '<td id="menu' + (i++) + '" class="menuItem ' + key + '">' + val + '</td>';
		});	
	$("#menu").html('<table class="menu"><tr>' + html + '</tr></table>');
};

Menu.open = function() 
{
	Main.menuIndex = true;
	$("#title").hide();
	$(".block").hide();	
	var index = this.menuId;
	var name = $('#menu' + index).attr('class');
	name = name.split(" ");	
	if(Menu.in_Array('cat_menu', name) > -1) {
		this.focusSubMenu('cat_menu');
	}
	$("#help_line_1").hide();
	Display.help_line_6();
};

Menu.focusSubMenu = function(parentMenu) 
{
	var colId = 0;
	var rowId = 0;
	var selCol = 0;
	var selRow = 0;
	var html = '<tr class="row' + rowId + '">';
	
	this.data[rowId] = [];
	this.status = 'sub_Menu';
	this.parentMenu = parentMenu;

	if($("#subMenu").html() != '') {
		$("#subMenu table").empty();
	}	
	switch(this.parentMenu) 
	{
		case 'cat_menu':
			$.each(Get_Category, function(key,val) 
			{
				if(colId == Menu.cols) {
					colId = 0;
					rowId++;
					Menu.data[rowId] = [];
					html += '</tr><tr class="row' + rowId + '">';
				}				
				Menu.data[rowId][colId] = val['key'];				
				var curKey = Get_Category[Main.Typ_Category]['key'];				
				if(curKey == val['key']) {
					selCol = colId;
					selRow = rowId;
				}				
				html += '<td class="col' + colId + ' subMenuItem"><span>' + val['tit_le'] + '</span></td>';
				colId++;
			});			
			$("#subMenu").html("<div><table>" + html + "</tr></table></div>").show();
			this.selectSubMenu(selRow, selCol);
			break;
	}
};

Menu.blurSubMenu = function() 
{
	this.status = false;
	Main.menuIndex = false;
	$("#subMenu").hide();
	$("#anchor").focus();
	$("#title").show();
	$(".block").show();
	$("#search").hide();
	$("#keyHelpSearch").hide();
	$("#help_line_3").hide();	
	Display.help_line_1();
};

Menu.select = function(index) 
{
	this.menuId = index;
	$('#menu' + index).addClass('active');
};

Menu.selectSubMenu = function(rowId, colId) 
{
	this.subMenuRowId = rowId;
	this.subMenuColId = colId;
	this.setListSubMenu();	
	$('.subMenuItem').removeClass('active');
	$('.row' + rowId + ' .col' + colId).addClass('active');
};

Menu.moveRightSubMenu = function() 
{
	var rowId = this.subMenuRowId;
	var colId = this.subMenuColId + 1;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	}
};

Menu.moveLeftSubMenu = function() 
{
	var rowId = this.subMenuRowId;
	var colId = this.subMenuColId - 1;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	}
};

Menu.moveDownSubMenu = function(rowId) 
{
	var colId = this.subMenuColId;	
	rowId++;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	} else if(rowId < this.data.length) {
		this.moveDownSubMenu(rowId);
	}
};

Menu.moveUpSubMenu = function(rowId) 
{
	var colId = this.subMenuColId;	
	rowId--;	
	if($('.row' + rowId + ' .col' + colId).length > 0) {
		this.selectSubMenu(rowId, colId);
	} else if(rowId > 0) {
		this.moveUpSubMenu(rowId);
	}
};

Menu.setListSubMenu = function() 
{ 
	var position = -420 * Math.floor(this.subMenuRowId / this.rowsPerPage);
	$("#subMenu table").css('top', position+"px");
};

Menu.openSubMenu = function() 
{
	var itemId = this.data[this.subMenuRowId][this.subMenuColId];
	this.blurSubMenu();	
	switch(this.parentMenu) 
	{
		case 'cat_menu':
			Main.setCategory(itemId);
			break;	
	}
};

Menu.in_Array = function (val, arr) 
{
	for (var i = 0, len = arr.length; i < len; i++) {
		if (arr[i] == val) return i;
	}
	return -1;
};

var Get_Category =  {

			"1" : {
				"key"    : "1",
				"tit_le" : "Cмотреть фильмы онлайн",
				"path"	 : "/Filmy/"
			},
			"2"  : {
				"key"    : "2",
				"tit_le"	 :"Фантастика",
				"path"	 : "/Filmy/Fantastika/"
			},
			"3" : {
				"key"    : "3",
				"tit_le" : "Сериалы",
				"path"	 : "/Serialy/"
			},
			"4" : {
				"key"    : "4",
				"tit_le" : "Боевик",
				"path"	 : "/Filmy/Boevik/"
			},
			"5" : {
				"key"    : "5",
				"tit_le" : "Военные",
				"path"	 : "/Filmy/Voennye/"
			},
			"6"	: {
				"key"    : "6",
				"tit_le" : "Вестерн",
				"path"	 : "/Filmy/Vestern/"
			},
			"7"	 : {
				"key"    : "7",
				"tit_le" : "Аниме",
				"path"	 : "/Anime/"
			},
			"8"	 : {
				"key"    : "8",
				"tit_le" : "Ужасы",
				"path"	 : "/Filmy/Uzhasy/"
			},					
			"9"  : {
				"key"    : "9",
				"tit_le" : "Драмы",
				"path"	 : "/Filmy/Drama/"
			},
			"10" : {
				"key"    : "10",
				"tit_le" : "Триллеры",
				"path"	 : "/Filmy/Triller/"
			},
			"11" : {
				"key"    : "11",
				"tit_le" : "Исторический",
				"path"	 : "/Filmy/Istoricheskie/"
			},
			"12" : {
				"key"    : "12",
				"tit_le" : "Передачи и ТВ шоу",
				"path"	 : "/Teleshou/"
			},
			"13" : {
				"key"    : "13",
				"tit_le" : "Комедии",
				"path"	 : "/Filmy/Komediya/"
			},
			"14" : {
				"key"    : "14",
				"tit_le" : "Документальные",
				"path"	 : "/Filmy/Dokumentalnye/"
			},
			"15" : {
				"key"    : "15",
				"tit_le" : "Мелодрамы",
				"path"	 : "/Filmy/Melodrama/"
			},
			"16" : {
				"key"    : "16",
				"tit_le" : "Мультсериалы",
				"path"	 : "/Multserialy/"
			},
			"17" : {
				"key"    : "17",
				"tit_le" : "Фэнтези",
				"path"	 : "/Filmy/Fentezi/"
			},
			"18" : {
				"key"    : "18",
				"tit_le" : "Приключения",
				"path"	 : "/Filmy/Priklyucheniya/"
			},
			"19" : {
				"key"    : "0",
				"tit_le" : "Мультфильмы",
				"path"	 : "/Multfilmy/"
			}							
			
};
